Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236754 - network install - waits 20 seconds for dns revese lookup after dhcp
Summary: network install - waits 20 seconds for dns revese lookup after dhcp
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 15:13 UTC by David Timms
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:30:07 UTC


Attachments (Terms of Use)

Description David Timms 2007-04-17 15:13:33 UTC
Description of problem:
The installer seems to hang - logs suggest it waits up to twenty seconds for a
response for a rdns lookup. 

Version-Release number of selected component (if applicable):
rawhide 2007-04-17.

How reproducible:
for many fedora versions.

Steps to Reproduce:
1. pxeboot
2. ftp method
3. enter ip details = ipv4 only + dhcp
4. ok

Actual results:
Sits there for about 20 seconds.

Expected results:
Once dhcp server has provided the ip address for the machine, the installer
should immediately continue.

Additional info:
If the only reason for the reverse lookup is to configure the hostname for the
machine, then that could be done further through the install (when the installer
will be ready to use the info), or else run the lookup in a separate thread so
as not to "stall" the installer.

To test you need to ensure the machine has no ip > dns name mapping on the dhcp
supplied dns server.

Comment 1 David Cantrell 2007-04-17 17:39:08 UTC
The loader does continue after getting a lease.  The reason for the reverse
lookup is for your installation source.  If you specify that with a name and we
can't look it up, the DNS timeout applies.

What is listed in the log on tty3 when it gets to this point?  Is it
transferring a stage2 image?

Comment 2 Bug Zapper 2008-04-04 00:07:50 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Bug Zapper 2008-05-07 01:30:05 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.